org.bdgenomics.adam.models

# Exon

#### case class Exon(exonId: String, transcriptId: String, strand: Boolean, region: ReferenceRegion) extends BlockExtractable with Product with Serializable

An exon model (here represented as a value of the Exon class) is a representation of a single exon from a transcript in genomic coordinates.

NOTE: we're not handling shared exons here

transcriptId

  the (unique) identifier of the transcript to which the exon belongs

region

  The region (in genomic coordinates) to which the exon maps

Linear Supertypes
Serializable, Serializable, Product, Equals, BlockExtractable, Extractable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Exon
2. Serializable
3. Serializable
4. Product
5. Equals
6. BlockExtractable
7. Extractable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Exon(exonId: String, transcriptId: String, strand: Boolean, region: ReferenceRegion)

   transcriptId

     the (unique) identifier of the transcript to which the exon belongs

   region

     The region (in genomic coordinates) to which the exon maps

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### val exonId: String

10. #### def extractSequence(referenceSequence: String): String

    Returns the subset of the given referenceSequence that corresponds to this Extractable (not necessarily a contiguous substring, and possibly reverse- complemented or transformed in other ways).

    Returns the subset of the given referenceSequence that corresponds to this Extractable (not necessarily a contiguous substring, and possibly reverse- complemented or transformed in other ways).

    referenceSequence

      The reference sequence (e.g. chromosomal sequence) with respect to which the Extractable's coordinates or locators are given

    returns

      the String representation of this Extractable

    Definition Classes
      BlockExtractable → Extractable

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### val region: ReferenceRegion

    The region (in genomic coordinates) to which the exon maps

18. #### val strand: Boolean

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### val transcriptId: String

    the (unique) identifier of the transcript to which the exon belongs

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BlockExtractable

### Inherited from Extractable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped